> ## Documentation Index
> Fetch the complete documentation index at: https://ekacare-quickstart-cleanup.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get cancel

> Retrieve the cancellation status of a physical consultation booking.



## OpenAPI

````yaml get /abdm/uhi/v1/physical-consultation/booking/cancel
openapi: 3.1.0
info:
  description: ABHA Registration and login APIs
  title: Registration
  version: 1.0.0
servers:
  - description: Production
    url: https://api.eka.care
  - description: Stage/Sandbox
    url: https://api.dev.eka.care
security: []
paths:
  /abdm/uhi/v1/physical-consultation/booking/cancel:
    get:
      description: Retrieve the cancellation status of a physical consultation booking.
      parameters:
        - description: Eka User ID (OID)
          in: header
          name: X-Pt-Id
          schema:
            type: string
        - description: Partner User ID
          in: header
          name: X-Partner-Pt-Id
          schema:
            type: string
        - description: Partner HIP ID
          in: header
          name: X-Hip-Id
          schema:
            type: string
        - in: query
          name: txn_id
          schema:
            type: string
        - description: Unique Identifier of a Provider in the system.
          in: query
          name: provider_id
          schema:
            description: Unique Identifier of a Provider in the system.
            type: string
        - description: Unique Identifier of any booking.
          in: query
          name: order_id
          schema:
            description: Unique Identifier of any booking.
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelsCancelStatusResponse'
          description: OK
        4XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
        5XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
      security:
        - authApiKey: []
components:
  schemas:
    ModelsCancelStatusResponse:
      properties:
        status:
          description: Cancellation status of the order (e.g., SUCCESS, FAILED, PENDING)
          type: string
      type: object
    GenericError:
      properties:
        code:
          type: integer
        error:
          type: string
        source_error:
          $ref: '#/components/schemas/SourceErr'
      type: object
    SourceErr:
      properties:
        code:
          type: string
        message:
          type: string
      type: object
  securitySchemes:
    authApiKey:
      description: The API requires a Bearer token (JWT) for authentication.
      scheme: bearer
      type: http

````